﻿@model BeerViewModel

@{
    Layout = "_Layout";
}
<body>

    <!-- Page Content -->
    <div class="container">

        <!-- Portfolio Item Heading -->
        <h1 class="my-4">
            @Model.Name
        </h1>

        <!-- Portfolio Item Row -->
        <div class="row">

            <div class="col-md-8">
                <img class="img-fluid" src="~/img/SingleBeer1.jpg" alt="">
            </div>

            <div class="col-md-4">
                <h3 class="my-3">Description</h3>
                <p>@Model.Description</p>
                <h3 class="my-3">Details</h3>
                <ul>
                    <li>@Model.Brand</li>
                    <li>@Model.ABV</li>
                    <li>@ViewBag.BeerStyle</li>
                    <li>@ViewBag.BeerCountry</li>
                </ul>
                <!-- rating stars -->
                <div class="rating-block">
                    <h4>Average user rating</h4>
                    <h2 class="bold padding-bottom-7">@ViewBag.Rating <small>/ 5</small></h2>

                    @if (User.Identity.IsAuthenticated)
                    {
                        <form class="form-horizontal" method="post" asp-controller="Beers" asp-action="RateBeer">
                            <input type="hidden" name="beerId" value="@Model.Id" />
                            <label for="inputState">Rate it</label>
                            <select id="inputState" class="form-control" name="rating">
                                <option selected value="0" name="rating">0</option>
                                <option value="1" name="rating">1</option>
                                <option value="2" name="rating">2</option>
                                <option value="3" name="rating">3</option>
                                <option value="4" name="rating">4</option>
                                <option value="5" name="rating">5</option>
                            </select>
                            <input class="btn btn-light" type="submit" value="Rate this beer" />
                        </form>
                    }

                    <button type="button" class="btn btn-warning btn-sm" aria-label="Left Align">
                        <span class="glyphicon glyphicon-star" aria-hidden="true"></span>
                    </button>
                    <button type="button" class="btn btn-warning btn-sm" aria-label="Left Align">
                        <span class="glyphicon glyphicon-star" aria-hidden="true"></span>
                    </button>
                    <button type="button" class="btn btn-warning btn-sm" aria-label="Left Align">
                        <span class="glyphicon glyphicon-star" aria-hidden="true"></span>
                    </button>
                    <button type="button" class="btn btn-default btn-grey btn-sm" aria-label="Left Align">
                        <span class="glyphicon glyphicon-star" aria-hidden="true"></span>
                    </button>
                    <button type="button" class="btn btn-default btn-grey btn-sm" aria-label="Left Align">
                        <span class="glyphicon glyphicon-star" aria-hidden="true"></span>
                    </button>
                </div>
                <!-- rating stars end -->
            </div>
            <!-- rating card -->
            <!-- rating card  end -->
            <div>
                @if (User.Identity.IsAuthenticated)
                {
                    if (User.IsInRole("Admin"))
                    {
                        <a class="btn btn-light" asp-action="Edit" asp-route-id="@Model.Id">Edit</a>
                    }
                }
                <a class="btn btn-light" asp-action="Index">Back to List</a>
            </div>
        </div>
        <!-- /.row -->
        @if (User.Identity.IsAuthenticated)
        {
            @if (TempData["Msg"] != null)
            {
                <div class="alert alert-danger" role="alert">
                    @TempData["Msg"].ToString();
                </div>
            }
            <form class="form-horizontal" method="post" asp-controller="Beers" asp-action="AddToWish">
                <input type="hidden" name="beerId" value="@Model.Id" />
                <input class="btn btn-light" type="submit" value="Add to Wishlist" />
            </form>
            <form class="form-horizontal" method="post" asp-controller="Beers" asp-action="AddToDrank">
                <input type="hidden" name="beerId" value="@Model.Id" />
                <input class="btn btn-light" type="submit" value="Add to Dranklist" />
            </form>
        }
        @if (User.Identity.IsAuthenticated)
        {
            <!-- post Review-->
            <form class="form-horizontal" method="post" asp-controller="BeerReviews" asp-action="CreateReview">
                <fieldset>
                    <!-- Form Name -->
                    <legend>Tell us what you think about it</legend>

                    @if (TempData["Error"] != null)
                    {
                        <div class="alert alert-danger" role="alert">
                            You cant review a second time BOIIII!!!!
                        </div>
                    }
                    <!-- Textarea -->
                    <div class="form-group">
                        <label class="col-md-4 control-label" for="textarea">Review</label>
                        <div class="col-md-4">
                            <textarea name="Content" class="form-control" id="textarea" placeholder="put some text here"></textarea>
                        </div>
                    </div>

                    <!-- Button -->
                    <div class="form-group">
                        <label class="col-md-4 control-label" for="singlebutton">Single Button</label>
                        <div class="col-md-4">
                            <input type="hidden" name="BeerId" value="@Model.Id" />
                            <input type="hidden" name="UserId" value="@ViewBag.UserId" />
                            <input type="hidden" name="UserName" value="@ViewBag.UserName" />
                            <button class="btn btn-primary" type="submit">Post</button>
                        </div>
                    </div>

                </fieldset>
            </form>
            <!--post review end-->
        }


        <!-- reviews start -->
        <div class="container">
            <h3 class="text-center">Reviews</h3>
            @foreach (var item in ViewBag.Reviews)
            {
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-2">
                                <img src="https://image.ibb.co/jw55Ex/def_face.jpg" class="img img-rounded img-fluid" />
                                <p class="text-secondary text-center">@item.CreatedOn</p>
                            </div>
                            <div class="col-md-10">
                                <p>
                                    <a class="float-left" href="https://maniruzzaman-akash.blogspot.com/p/contact.html"><strong>@item.UserName</strong></a>
                                </p>
                                <div class="clearfix"></div>
                                <p>@item.Content</p>
                                @if (User.Identity.IsAuthenticated)//TODO:
                                {
                                    <div class="d-flex flex-row-reverse bd-highlight">
                                        <form class="form-horizontal" method="post" asp-controller="BeerReviews" asp-action="LikeReview">
                                            <input type="hidden" name="beerId" value="@Model.Id" />
                                            <input type="hidden" name="reviewId" value="@item.Id" />
                                            <input class="btn btn-labeled btn-success" type="submit" value="@item.Likes Like" />
                                        </form>
                                        <form class="form-horizontal" method="post" asp-controller="BeerReviews" asp-action="DislikeReview">
                                            <input type="hidden" name="beerId" value="@Model.Id" />
                                            <input type="hidden" name="reviewId" value="@item.Id" />
                                            <input class="btn btn-labeled btn-warning" type="submit" value="@item.Dislikes Dislike" />
                                        </form>
                                        <form class="form-horizontal" method="post" asp-controller="BeerReviews" asp-action="ReportReview">
                                            <input type="hidden" name="beerId" value="@Model.Id" />
                                            <input type="hidden" name="reviewId" value="@item.Id" />
                                            <input class="btn btn-labeled btn-danger" type="submit" value="Report" />
                                        </form>
                                    </div>
                                }
                            </div>
                        </div>
                    </div>
                </div>
            }
            <!-- reviews end -->
            <!-- /.row -->

        </div>
        <!-- /.container -->
    </div>
</body>